Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class DefaultUserInfoImpl

    java.lang.Object
      |
      +--weblogic.security.acl.DefaultUserInfoImpl

Direct Known Subclasses:
  SSLUserInfo, T3User

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by JAAS subject/principal and the Pluggable Security Infrastructure.

public class DefaultUserInfoImpl
extends java.lang.Object
implements UserInfo, java.io.Serializable

DefaultUserInfoImpl is the default implementation of the UserInfo interface. UserInfo objects are created by a RealmProxy and passed to the T3Client constructor. The WebLogic Server uses a UserInfo object to allow the corresponding realm to retrieve the corresponding user and checks it against the provided information.

DefaultUserInfoImpl accepts as credentials password strings and/or a single X509 certificate or a chain of them. If the explicitly provided username is null, the user's name is extracted from the certificate.

If you inherit from this class, be sure to implement the hashCode and equals methods correctly.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected java.util.Vector` | `certificates` Deprecated.
`protected java.lang.String` | `id` Deprecated.
`protected java.lang.String` | `password` Deprecated.
`protected java.lang.String` | `realmName` Deprecated.

Constructor Summary
`DefaultUserInfoImpl()` Deprecated. Constructs a DefaultUserInfoImpl.
`DefaultUserInfoImpl(java.lang.String name, java.lang.Object credential)` Deprecated. Create a user using the default realm.
`DefaultUserInfoImpl(java.lang.String name, java.lang.Object credential, java.lang.String realmName)` Deprecated.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Deprecated.
`boolean` | `equalsInAllButName(DefaultUserInfoImpl that)` Deprecated. Ensure that the non-name components of a UserInfo object match those of another.
`java.util.Vector` | `getCertificates()` Deprecated. Deprecated in WebLogic Server 7.0.
`java.lang.String` | `getName()` Deprecated. Gets the name associated with a DefaultUserInfo.
`java.lang.String` | `getPassword()` Deprecated.
`java.lang.String` | `getRealmName()` Deprecated. Gets the name of the realm associated with a DefaultUserInfo.
`boolean` | `hasCertificates()` Deprecated.
`int` | `hashCode()` Deprecated.
`boolean` | `hasPassword()` Deprecated.
`protected void` | `setCredential(java.lang.Object c)` Deprecated.
`void` | `setName(java.lang.String newName)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### realmName

    protected java.lang.String realmName

  Deprecated.

### id

    protected java.lang.String id

  Deprecated.

### password

    protected transient java.lang.String password

  Deprecated.

### certificates

    protected java.util.Vector certificates

  Deprecated.

Constructor Detail

### DefaultUserInfoImpl

    public DefaultUserInfoImpl()

  Deprecated.
  Constructs a DefaultUserInfoImpl. For serialization only.

### DefaultUserInfoImpl

    public DefaultUserInfoImpl(java.lang.String name,
                               java.lang.Object credential)

  Deprecated.
  Create a user using the default realm.

### DefaultUserInfoImpl

    public DefaultUserInfoImpl(java.lang.String name,
                               java.lang.Object credential,
                               java.lang.String realmName)

  Deprecated.

Method Detail

### getRealmName

    public java.lang.String getRealmName()

  Deprecated.
  Gets the name of the realm associated with a DefaultUserInfo.
  Specified by:
    getRealmName in interface UserInfo

  Returns:
    Name of realm as a string

### getName

    public java.lang.String getName()

  Deprecated.
  Gets the name associated with a DefaultUserInfo.
  Specified by:
    getName in interface UserInfo

  Returns:
    Name of this user

### setName

    public void setName(java.lang.String newName)

  Deprecated.

### toString

    public java.lang.String toString()

  Deprecated.

  Overrides:
    toString in class java.lang.Object

### setCredential

    protected void setCredential(java.lang.Object c)

  Deprecated.

### hasPassword

    public boolean hasPassword()

  Deprecated.

### getPassword

    public java.lang.String getPassword()

  Deprecated.

### hasCertificates

    public boolean hasCertificates()

  Deprecated.

### getCertificates

    public java.util.Vector getCertificates()

  Deprecated. Deprecated in WebLogic Server 7.0.

### hashCode

    public int hashCode()

  Deprecated.

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.

  Overrides:
    equals in class java.lang.Object

### equalsInAllButName

    public boolean equalsInAllButName(DefaultUserInfoImpl that)

  Deprecated.
  Ensure that the non-name components of a UserInfo object match those of another.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference